# Update video creative (full update)

Update the video creative - must post all data, any omitted fields will be removed

Endpoint: POST /v3.0/creatives/{creativeId}
Version: v1.0

## Path parameters:

  - `creativeId` (integer, required)
    Creative ID

## Request body:

  - `application/json` (unknown)
    Creative update data

## Request fields (application/json):

  - `active` (boolean)

  - `advertiser` (integer, required)
    T1 Advertiser ID

  - `name` (string, required)

  - `concept` (integer)
    T1 Concept ID

  - `startTime` (integer)

  - `endTime` (integer)

  - `clickthroughUrl` (string)

  - `customVAST` (string)

  - `customVASTUrl` (string)

  - `viewabilityTemplate` (string)

  - `landingUrl` (string)

  - `eventPixels` (array)

  - `eventPixels.typ` (string, required)
    Pixel event type (must be a valid pixel type)

  - `eventPixels.url` (string, required)
    Pixel URL

  - `vendors` (array)

  - `vastVersion` (string)
    Enum: "VAST2", "VAST3", "VAST4"

  - `disabledVariants` (array)

  - `externalIdentifier` (string)

  - `clockNumber` (string)

  - `customVASTExtensionXML` (string)

## Response 200:

  - `200` (unknown)
    Creative updated successfully

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `field_error` (array)

  - `field_error.error` (string)

  - `field_error.index` (integer)
    Index in bulk request (for bulk operations)

  - `field_error.code` (string)

  - `field_error.name` (string)

  - `field_error.field` (string)

## Response 404:

  - `404` (unknown)
    Creative not found

